---
title: "Create endpoint"
description: "Create an RPC endpoint on a supported network"
url: "https://blockreq.com/docs/build/api-reference/blockreq/blockreq-createendpoint/"
---

# Create endpoint

## Description

`POST /api/dashboard/endpoints` creates (or reuses) an endpoint for the Management API Key owner on BlockReq Web.

## Request

| Item | Value |
| --- | --- |
| Method | `POST` |
| URL | `https://blockreq.com/api/dashboard/endpoints` |
| Header | `Authorization: Bearer akv1_...` |
| Body | `{ "chain": "ethereum", "name": "optional" }` |

Use `GET /api/dashboard/chains` for supported `chain` values.

## Code

**cURL**

```bash
curl -X POST https://blockreq.com/api/dashboard/endpoints \
  -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"chain":"ethereum"}'
```

**JavaScript**

```javascript
const response = await fetch("https://blockreq.com/api/dashboard/endpoints", {
  method: "POST",
  headers: {
    Authorization: "Bearer akv1_YOUR_MANAGEMENT_API_KEY",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ chain: "ethereum" }),
});
```

## Try It

`POST https://blockreq.com/api/dashboard/endpoints`
